Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class CurvePlotter

    java.lang.Object
      |
      +--com.java4less.rchart.ChartComponent
            |
            +--com.java4less.rchart.Plotter
                  |
                  +--com.java4less.rchart.LinePlotter
                        |
                        +--com.java4less.rchart.CurvePlotter

public class CurvePlotter
extends LinePlotter

    This is the plotter used to draw curves. Supported curves types are:

    1. natural cubic (lineType=TYPE_CUBIC_NATURAL): this curve "interpolates" the points you provided. I.E. the points you provided will be part of the curve.
    2. B sp-lines (lineType=TYPE_B_SPLINES): this curve "aproximates" the points you provided. I.E. the points you provided will as close to the curve as possible, this will result in a smooth curve.
    3. least squares line (lineType=TYPE_LEAST_SQUARES_LINE): this curve "aproximates" the points you provided using a line.

Field Summary
`int` | `segments` number of segments used to draw a curve between 2 points

Fields inherited from class com.java4less.rchart.LinePlotter
`fixedLimits, hideCeros, MaxMinType, MM_CANDLESTICK, MM_NORMAL, MM_OHLC, pointSize, TYPE_B_SPLINES, TYPE_CUBIC_NATURAL, TYPE_LEAST_SQUARES_LINE, TYPE_LINE`

Fields inherited from class com.java4less.rchart.Plotter
`back, backImage, depth, visibleHeight, visibleWidth, XScale, Y2Scale, YScale`

Fields inherited from class com.java4less.rchart.ChartComponent
`height, width, x, y`

Constructor Summary
`CurvePlotter()`

Methods inherited from class com.java4less.rchart.Plotter
`addSerie, getCombinable, getNeedsAxis, getSerie, getSeriesCount, plot, plotBackground, replaceSerie, setSerie`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### segments

    public int segments

  number of segments used to draw a curve between 2 points

Constructor Detail

### CurvePlotter

    public CurvePlotter()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD